summaryrefslogtreecommitdiff
path: root/dev-python/mapbox-earcut
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-09-09 03:04:44 -0500
committerroot <root@alpha.trunkmasters.com>2026-09-09 03:04:44 -0500
commitdd4dbff7d90d19cb3b8a4657236e598887ffbd41 (patch)
treefc3717b00180b43464a834fd1f3c9442f57ae45a /dev-python/mapbox-earcut
parent23850c0a8390d403a1fe131e47265df579818dd5 (diff)
downloadbaldeagleos-repo-dd4dbff7d90d19cb3b8a4657236e598887ffbd41.tar.gz
baldeagleos-repo-dd4dbff7d90d19cb3b8a4657236e598887ffbd41.tar.xz
baldeagleos-repo-dd4dbff7d90d19cb3b8a4657236e598887ffbd41.zip
Adding metadata
Diffstat (limited to 'dev-python/mapbox-earcut')
-rw-r--r--dev-python/mapbox-earcut/Manifest2
-rw-r--r--dev-python/mapbox-earcut/mapbox-earcut-2.1.0.ebuild41
2 files changed, 43 insertions, 0 deletions
diff --git a/dev-python/mapbox-earcut/Manifest b/dev-python/mapbox-earcut/Manifest
index 532e242dc9c4..24badc0a21f8 100644
--- a/dev-python/mapbox-earcut/Manifest
+++ b/dev-python/mapbox-earcut/Manifest
@@ -1 +1,3 @@
+DIST mapbox_earcut-2.1.0.tar.gz 46744 BLAKE2B ee2ca9110781c48312773ede58effe3b34a3c97ed25962534992a4b642bc7ce191ee305b1e246a0eeb57baf4eeba29114d679baecf7c7ce9170f127b76aa1eb9 SHA512 b4d0ea5aa212438c8dd55f88823005d555bfd15a2902fcb0f924465089730c97e4c5803214a55b8d59b68247b09548a113bf06d5d0cd6f18244e01a0dd25959d
+DIST mapbox_earcut-2.1.0.tar.gz.provenance 9823 BLAKE2B 9238ab8c01713d7ab49c95e445dc3998a913c7e2abd2edcbf9367c156d1fb24a148aa8e9a8d435a86dd871d62a8b34e3b6aa200afd3a2d98570d6ad0e4be30f0 SHA512 fbafc676f1c6f41d012b3bd87e52a262b359e66df6dcdb39f78331326630b11c416ee6ff1af211b45a0d093da144d2247116a945f2a0099ddb2e50b339ed2e23
DIST mapbox_earcut_python-2.0.0.gh.tar.gz 38939 BLAKE2B 625555d1b466bb433c9e7fa8c1c5205b3cecc47ffab5cc9af11bb4187df19599c7551a3572802fb49694c143cf7f1b6f7c0b192a30e0d56921ed5ae9867851f5 SHA512 e673b89e16a2007085e6e036b32867bdcdf984b3dec3bf93182ad352b36d6bf3ae4f750de136a9833b3328241fdf725b4f11c4981f9334a9a27e1b4077af1cea
diff --git a/dev-python/mapbox-earcut/mapbox-earcut-2.1.0.ebuild b/dev-python/mapbox-earcut/mapbox-earcut-2.1.0.ebuild
new file mode 100644
index 000000000000..07ca7c04fbe6
--- /dev/null
+++ b/dev-python/mapbox-earcut/mapbox-earcut-2.1.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=scikit-build-core
+PYPI_VERIFY_REPO=https://github.com/skogler/mapbox_earcut_python
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python bindings to the mapbox earcut C++ library"
+HOMEPAGE="
+ https://github.com/skogler/mapbox_earcut_python/
+ https://pypi.org/project/mapbox-earcut/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+DEPEND="
+ dev-python/numpy:=[${PYTHON_USEDEP}]
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ >=dev-python/nanobind-2.9.2[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+DOCS=( CHANGELOG.md README.md )
+
+python_test() {
+ rm -rf mapbox_earcut || die
+ epytest
+}